name: Compila e pubblica sul registro integrato
on: [push]

jobs:
  Build-Docker-Image:
    runs-on: linux_amd64
    container: ubuntu
    steps:
      - name: Login to Docker Registry
        run: echo "${{ secrets.REGISTRYTOKEN }}" | docker login "${{ vars.REGISTRY_URL }}" -u "${{ github.repository_owner }}" --password-stdin

      - name: Checkout Code
        uses: actions/checkout@v4

      - name: Build Docker image
        run: |
          docker build -t ${{ github.repository }}:latest .          

      - name: Push Docker image
        run: |
          docker push "${{ github.repository }}:latest"          